about summary refs log tree commit diff stats
path: root/home-manager/config/lf/cmds/dl_file
diff options
context:
space:
mode:
authorene <ene@sils.li>2023-03-12 01:29:28 +0100
committerene <ene@sils.li>2023-03-12 01:29:28 +0100
commit59e6edd4fd818c60ca4ea416ae4d23163254dfa5 (patch)
treeed5454eb07365377b4ab3ff6011b3ce250fbd9cc /home-manager/config/lf/cmds/dl_file
parentFix(hm/conf/lf): Reduce wrong mappings (diff)
downloadnixos-config-59e6edd4fd818c60ca4ea416ae4d23163254dfa5.zip
Fix(hm/conf/lf): Rewrite some of the cmds
Diffstat (limited to '')
-rwxr-xr-x[-rw-r--r--]home-manager/config/lf/cmds/dl_file (renamed from home-manager/config/lf/cmds/dl_file.sh)14
1 files changed, 8 insertions, 6 deletions
diff --git a/home-manager/config/lf/cmds/dl_file.sh b/home-manager/config/lf/cmds/dl_file
index ac6d6ded..dfd11f69 100644..100755
--- a/home-manager/config/lf/cmds/dl_file.sh
+++ b/home-manager/config/lf/cmds/dl_file
@@ -1,8 +1,11 @@
-#!/usr/bin/env dash
+#! /usr/bin/env dash
 # shellcheck disable=SC2086
 # shellcheck source=/dev/null
+# . ~/.local/lib/shell/lib
 . %SHELL_LIBRARY_PATH
 
+LIB_TEMP_DIR_FOR_SCRIPT=$(mktemp -d)
+
 # Provides the ability to download a file by dropping it into a window
 
 url=$(dragon -t -x)
@@ -26,11 +29,10 @@ if [ -n "$url" ]; then
   done
 
   # Download the file with curl
-  [ -n "$name" ] && curl -o "$name" "$url" || exit 1
+  [ -n "$name" ] && curl -o "$name" "$url" || die "curl failed"
 else
-  exit 1
+  die "Url is not valid!"
 fi
 
-
-
-if [ -d /tmp/LIB_FILE_TEMP_DIR/ ];then rm -r /tmp/LIB_FILE_TEMP_DIR/; fi
+if [ -d "$LIB_TEMP_DIR_FOR_SCRIPT" ];then rm -r "$LIB_TEMP_DIR_FOR_SCRIPT"; fi
+# vim: ft=sh